%define upstream_name    Dist-Zilla-Plugin-Test-Synopsis
%define upstream_version 2.000007

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Release tests for synopses
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla) >= 4.0.0
BuildRequires: perl(Dist::Zilla::Plugin::InlineFiles)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Output)
BuildRequires: perl(Test::Synopsis)
BuildRequires: perl(autodie)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)

BuildConflicts: cpanminus

BuildArch:  noarch

Obsoletes:  perl-Dist-Zilla-Plugin-SynopsisTests < 2.0.0
Provides:   perl-Dist-Zilla-Plugin-SynopsisTests

%description
This is an extension of the Dist::Zilla::Plugin::InlineFiles manpage,
providing the following files

  xt/release/synopsis.t - a standard Test::Synopsis test

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README.mkdn
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 2.0.7-6.mga10
+ Revision: 2203762
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 2.0.7-5.mga9
+ Revision: 1809074
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.0.7-4.mga8
+ Revision: 1504215
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.0.7-3.mga7
+ Revision: 1283353
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 2.0.7-2.mga7
+ Revision: 1164272
- rebuild with fixed rpm for missing autodeps

* Sat Sep 23 2017 sander85 <sander85> 2.0.7-1.mga7
+ Revision: 1157890
- update to 2.000007

* Sun Jun 19 2016 pterjan <pterjan> 2.0.6-3.mga6
+ Revision: 1026622
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 2.0.6-2.mga6
+ Revision: 966760
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 2.0.6-1.mga6
+ Revision: 846793
- update to 2.000006

* Wed Oct 15 2014 umeabot <umeabot> 2.0.5-3.mga5
+ Revision: 750031
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sun Aug 03 2014 sander85 <sander85> 2.0.5-1.mga5
+ Revision: 659447
- update to 2.000005

* Sat Oct 19 2013 umeabot <umeabot> 2.0.4-2.mga4
+ Revision: 531467
- Mageia 4 Mass Rebuild

* Sun Aug 04 2013 sander85 <sander85> 2.0.4-1.mga4
+ Revision: 463496
- update to 2.000004

* Fri Jun 07 2013 jquelin <jquelin> 2.0.3-1.mga4
+ Revision: 439181
- update to 2.000003

* Sun Jan 13 2013 umeabot <umeabot> 2.0.2-2.mga3
+ Revision: 366525
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jun 18 2012 kharec <kharec> 2.0.2-1.mga3
+ Revision: 261556
- update to 2.000002

* Mon Sep 26 2011 jquelin <jquelin> 2.0.1-1.mga2
+ Revision: 148577
- update to 2.0.1
- dist renamed upstream

* Wed Jan 26 2011 jquelin <jquelin> 1.101.420-1.mga1
+ Revision: 40606
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-SynopsisTests

